# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXGetArrayData

Function

Returns a pointer to the start of a global memory area containing the items constituting the data stored in an Array.

Syntax
`
#include <dx/dx.h>
`

Pointer DXGetArrayData(Array a)

Functional Details

For irregular Arrays, the pointer points to the actual data that was stored in the Array; this data may be changed directly to change the contents of the Array. For compact Arrays (regular, grid, path, or mesh Arrays), this routine expands the compact data and returns a pointer to the result; such data should not be changed because changes to this data will not be reflected in the original Array. The returned Array contains n items numbered from 0 to n-1, where n is the number of items in `a`. `DXAddArrayData` must be called before calling `DXGetArrayData`; otherwise, the values of items in an irregular Array are undefined.

Note: | To reduce memory requirements, it is preferable, where possible, to recognize compact Arrays using `DXGetArrayClass`, and not to expand them by calling `DXGetArrayData`. The Array handle routines may be used to access arrays of any class without expansion. Memory pointed to by the return from `DXGetArrayData` should not be freed by the user.

Return Value

Returns a pointer to the data or returns `NULL` and sets an error code.

See Also

`DXAddArrayData, DXCreateArrayHandle, DXGetArrayClass, DXGetArrayDataLocal, DXNewArray, DXNewArrayV`

12.3 , "Array Class".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]